package com.fp.armas.portal.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.*;

/**
 * The primary key class for the TGENEFILESDETAIL database table.
 * 
 */
@Embeddable
public class TgenefilesdetailPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column
	private long code;

	@Temporal(TemporalType.TIMESTAMP)
	private java.util.Date dateto;

	public TgenefilesdetailPK() {
	}
	
	public TgenefilesdetailPK(long code, Date dateto) {
		super();
		this.code = code;
		this.dateto = dateto;
	}

	public long getCode() {
		return this.code;
	}
	public void setCode(long code) {
		this.code = code;
	}
	public java.util.Date getDateto() {
		return this.dateto;
	}
	public void setDateto(java.util.Date dateto) {
		this.dateto = dateto;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof TgenefilesdetailPK)) {
			return false;
		}
		TgenefilesdetailPK castOther = (TgenefilesdetailPK)other;
		return 
			(this.code == castOther.code)
			&& this.dateto.equals(castOther.dateto);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + ((int) (this.code ^ (this.code >>> 32)));
		hash = hash * prime + this.dateto.hashCode();
		
		return hash;
	}
}